org.apache.catalina.tribes.membership

## Class Membership.MbrEntry

- java.lang.Object
- - org.apache.catalina.tribes.membership.Membership.MbrEntry

- Enclosing class:
    Membership

      protected static class Membership.MbrEntry
      extends Object

  Inner class that represents a member entry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `lastHeardFrom`
    `protected Member` | `mbr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Membership.MbrEntry(Member mbr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accessed()` Indicate that this member has been accessed.
    `Member` | `getMember()` Obtain the member associated with this entry.
    `boolean` | `hasExpired(long maxtime)` Check if this member has expired.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mbr

          protected final Member mbr

    - #### lastHeardFrom

          protected long lastHeardFrom

  - ### Constructor Detail

    - #### Membership.MbrEntry

          public Membership.MbrEntry(Member mbr)

  - ### Method Detail

    - #### accessed

          public void accessed()

      Indicate that this member has been accessed.

    - #### getMember

          public Member getMember()

      Obtain the member associated with this entry.
      Returns:
        The member for this entry.

    - #### hasExpired

          public boolean hasExpired(long maxtime)

      Check if this member has expired.
      Parameters:
        `maxtime` - The time threshold
      Returns:
        `true` if the member has expired, otherwise `false`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.